kdeui Library: KToggleFullScreenAction Class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KToggleFullScreenAction Class Reference

An action for switching between to/from full screen mode. More...

`#include <kactionclasses.h>`

Inheritance diagram for KToggleFullScreenAction:

[legend]
Collaboration diagram for KToggleFullScreenAction:

[legend]
List of all members.

## Public Slots
virtual void | setChecked (bool)
## Public Member Functions
| KToggleFullScreenAction (const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, QWidget *window, const char *name)
void | setWindow (QWidget *window)
## Protected Member Functions
virtual bool | eventFilter (QObject *o, QEvent *e)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

An action for switching between to/from full screen mode.

Note that QWidget::isFullScreen() may reflect the new or the old state depending on how the action was triggered (by the application or from the window manager). Also don't try to track the window state yourself. Rely on this action's state (isChecked()) instead.

Important: If you need to set/change the fullscreen state manually, use the relevant QWidget function (showFullScreen etc.), do not call directly the slot connected to the toggled() signal. The slot still needs to explicitly set the window state though.

Since:
  3.2

Definition at line 1218 of file kactionclasses.h.

## Constructor & Destructor Documentation

KToggleFullScreenAction::KToggleFullScreenAction | ( | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | QWidget * | window,
|  | const char * | name
| ) |

  | Create a KToggleFullScreenAction. Parameters:
  | cut | The corresponding keyboard accelerator (shortcut).
  | receiver | The SLOT's parent.
  | slot | The SLOT to invoke to execute this action.
  | parent | This action's parent.
  | window | the window that will switch to/from full screen mode
  | name | An internal name for this action.
Definition at line 1948 of file kactionclasses.cpp. References setWindow().

## Member Function Documentation

void KToggleFullScreenAction::setWindow | ( | QWidget * | window | ) |

| Sets the window that will be related to this action. Definition at line 1962 of file kactionclasses.cpp. Referenced by KStdAction::fullScreen(), and KToggleFullScreenAction().

void KToggleFullScreenAction::setChecked | ( | bool |  | ) | `[virtual, slot]`

| Sets the state of the action. Reimplemented from KToggleAction. Definition at line 1971 of file kactionclasses.cpp. References KToggleAction::setChecked(), and KAction::setText(). Referenced by KStdAction::create().

The documentation for this class was generated from the following files:

- kactionclasses.h
- kactionclasses.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:22:33 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003